com.independentsoft.exchange

## Class AddressListId

- java.lang.Object
- - com.independentsoft.exchange.Id
  - - com.independentsoft.exchange.FolderId
    - - com.independentsoft.exchange.AddressListId

-     public class AddressListId
      extends FolderId

  Contains the identifier of a folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressListId()` Initializes a new instance of the AddressListId class.
    `AddressListId(java.lang.String id)` Initializes a new instance of the AddressListId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets a string that identifies a folder in the Exchange store.
    `void` | `setId(java.lang.String id)` Sets a string that identifies a folder in the Exchange store.
    `java.lang.String` | `toString()` Converts the value of the current AddressListId object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Id

      `getChangeKey, setChangeKey`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressListId

          public AddressListId()

      Initializes a new instance of the AddressListId class.

    - #### AddressListId

          public AddressListId(java.lang.String id)

      Initializes a new instance of the AddressListId class.
      Parameters:
        `id` - the id

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current AddressListId object to its equivalent string representation.
      Overrides:
        `toString` in class `FolderId`
      Returns:
        the string

    - #### getId

          public java.lang.String getId()

      Gets a string that identifies a folder in the Exchange store.
      Overrides:
        `getId` in class `FolderId`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets a string that identifies a folder in the Exchange store.
      Overrides:
        `setId` in class `FolderId`
      Parameters:
        `id` - the new id